| QxOrm 1.2.3 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Private Types
qx::trait::is_smart_ptr< T > Class Template Reference
QxTraits : QxOrm library traits (template metaprogramming) not available in 'boost::type_traits' library

qx::trait::is_smart_ptr<T>::value : return true if T is a smart-pointer of boost, Qt or QxOrm libraries, otherwise return false More...

`#include <is_smart_ptr.h>`

List of all members.

## Public Types
enum | { value = qx::trait::is_smart_ptr<T>::type_is_smart_ptr::value }
typedef qx::trait::is_smart_ptr< T > ::type_is_smart_ptr | type
## Private Types
typedef boost::mpl::or_ < qx::trait::is_qx_dao_ptr< T > , qx::trait::is_boost_intrusive_ptr < T > , qx::trait::is_boost_scoped_ptr < T > , qx::trait::is_boost_shared_ptr < T > , qx::trait::is_boost_weak_ptr < T > >::type | cond_is_boost_smart_ptr
typedef boost::mpl::or_ < typename qx::trait::is_smart_ptr< T > ::cond_is_boost_smart_ptr, qx::trait::is_qt_scoped_ptr< T > , qx::trait::is_qt_shared_ptr < T > , qx::trait::is_qt_weak_ptr< T > , qx::trait::is_qt_shared_data_ptr < T > >::type | cond_is_smart_ptr
typedef boost::mpl::if_ < typename qx::trait::is_smart_ptr< T > ::cond_is_smart_ptr, boost::mpl::true_, boost::mpl::false_ >::type | type_is_smart_ptr

## Detailed Description

### template<typename T>
class qx::trait::is_smart_ptr< T >

qx::trait::is_smart_ptr<T>::value : return true if T is a smart-pointer of boost, Qt or QxOrm libraries, otherwise return false

Definition at line 62 of file is_smart_ptr.h.

## Member Typedef Documentation

template<typename T>

typedef boost::mpl::or_< qx::trait::is_qx_dao_ptr<T>, qx::trait::is_boost_intrusive_ptr<T>, qx::trait::is_boost_scoped_ptr<T>, qx::trait::is_boost_shared_ptr<T>, qx::trait::is_boost_weak_ptr<T> >::type qx::trait::is_smart_ptr< T >::cond_is_boost_smart_ptr`[private]`

Definition at line 71 of file is_smart_ptr.h.

template<typename T>

typedef boost::mpl::or_< typename qx::trait::is_smart_ptr<T>::cond_is_boost_smart_ptr, qx::trait::is_qt_scoped_ptr<T>, qx::trait::is_qt_shared_ptr<T>, qx::trait::is_qt_weak_ptr<T>, qx::trait::is_qt_shared_data_ptr<T> >::type qx::trait::is_smart_ptr< T >::cond_is_smart_ptr`[private]`

Definition at line 77 of file is_smart_ptr.h.

template<typename T>

typedef qx::trait::is_smart_ptr<T>::type_is_smart_ptr qx::trait::is_smart_ptr< T >::type

Definition at line 87 of file is_smart_ptr.h.

template<typename T>

typedef boost::mpl::if_< typename qx::trait::is_smart_ptr<T>::cond_is_smart_ptr, boost::mpl::true_, boost::mpl::false_ >::type qx::trait::is_smart_ptr< T >::type_is_smart_ptr`[private]`

Definition at line 81 of file is_smart_ptr.h.

## Member Enumeration Documentation

template<typename T>

anonymous enum

Enumerator:

  value |

Definition at line 85 of file is_smart_ptr.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxTraits/is_smart_ptr.h